Forums

Fixing League Of Legends

POL script hacking

Auteur Réponses
kreyren Mercredi 2 Janvier 2019 à 1:28
kreyren
Banni

current installer is unable to install League Of Legends on 4.18.18-gentoo-r1 https://paste.pound-python.org/show/5S82AJtm0aNPwmIqydqT/ video https://youtu.be/uizC1ajguUA


Making thread since app page is bugged atm and i need help with script
 

My patch: https://github.com/RXT067/Research/blob/master/WINE-leagueoflegends/POL_LeagueOfLegends.sh

 

Current issue(s):

 

  1. Game is unable to be installed - Unable to fix (POL issue? Not present on my ebuild)
  2. Script creates wineprefix in black dir (/home/$USER/.PlayOnLinux//wine..) - Unable to fix 
  3. Script is unable to use system wine (TODO 4 )


TODO: 

  1. `Set_GLSL Off` sane? - Line 170 
  2. Removing preference on WINEARCH possible? - Line 156
  3. Custom wine with gallium9 patchset to improve performance  - Line 172
  4. Using system wine - Line 54
  5. LOWPRIO: Line 77 needs to be undependant on glxinfo
  6. LOWPRIO: Line 92 - Pango media browser is not used by Riot since 2013 iirc (possibly required for local CD?)

 

kreyren Mercredi 2 Janvier 2019 à 1:33
kreyren
Banni

To POL team: Can you provide WINE-3.21 (or greater - WINE-4.0-rc1~4 ideally) with staging (or Andrew Wesie https://appdb.winehq.org/objectManager.php?sClass=version&iId=36323  patches) and gallium9 patchset? If not i can compile it on gentoo and push it to POL please provide instructions. 

Edité par kreyren